Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 1801)
+++ admin/style/default.css	(revision 1810)
@@ -574,7 +574,7 @@
 	color: #fff;
 	border: 1px solid #2C8FD1;
-	background:-moz-linear-gradient(top,#25A6E1 0%,#188BC0 100%);
-	background:-webkit-gradient(linear,left top,left bottom,color-stop(0%,#25A6E1),color-stop(100%,#188BC0));
-	background:linear-gradient(top,#25A6E1 0%,#188BC0 100%);
+	background-image:-moz-linear-gradient(top,#25A6E1 0%,#188BC0 100%);
+	background-image:-webkit-gradient(linear,left top,left bottom,color-stop(0%,#25A6E1),color-stop(100%,#188BC0));
+	background-image:linear-gradient(top,#25A6E1 0%,#188BC0 100%);
 	background-color:#25A6E1;
 	text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.3);
@@ -582,7 +582,7 @@
 	input[type=submit]:hover, input[type=submit]:focus,
 	a.button.submit:hover, a.button.submit:focus {
-		background:-moz-linear-gradient(top,#188BC0 0%,#25A6E1 100%);
-		background:-webkit-gradient(linear,left top,left bottom,color-stop(0%,#188BC0),color-stop(100%,#25A6E1));
-		background:linear-gradient(top,#188BC0 0%,#25A6E1 100%);
+		background-image:-moz-linear-gradient(top,#188BC0 0%,#25A6E1 100%);
+		background-image:-webkit-gradient(linear,left top,left bottom,color-stop(0%,#188BC0),color-stop(100%,#25A6E1));
+		background-image:linear-gradient(top,#188BC0 0%,#25A6E1 100%);
 		background-color:#188BC0;
 		}
@@ -593,6 +593,6 @@
 a.button.delete, a.button.reset, a.button {
 	color: #000;
-	background: -webkit-gradient(linear, left top, left bottom, from(#f5f5f5), to(#dfdfdf));
-	background: -moz-linear-gradient(top,  #f5f5f5,  #dfdfdf);
+	background-image: -webkit-gradient(linear, left top, left bottom, from(#f5f5f5), to(#dfdfdf));
+	background-image: -moz-linear-gradient(top,  #f5f5f5,  #dfdfdf);
 	background-color: #eee;
 	text-shadow: 0 1px 0 rgba(255, 255, 255, 0.8);
@@ -606,6 +606,6 @@
 	a.button.delete:hover, a.button.reset:hover, a.button:hover,
 	a.button.delete:focus, a.button.reset:focus, a.button:focus {
-		background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #e9e9e9), color-stop(1, #f9f9f9) );
-		background:-moz-linear-gradient( center top, #e9e9e9 5%, #f9f9f9 100% );
+		background-image:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #e9e9e9), color-stop(1, #f9f9f9) );
+		background-image:-moz-linear-gradient( center top, #e9e9e9 5%, #f9f9f9 100% );
 		background-color:#f3f3f3;
 		}
@@ -628,6 +628,6 @@
 		}
 .button.add {
-	background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #bee74b), color-stop(1, #9BCA1C) );
-	background:-moz-linear-gradient( center top, #bee74b 5%, #9BCA1C 100% );
+	background-image:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #bee74b), color-stop(1, #9BCA1C) );
+	background-image:-moz-linear-gradient( center top, #bee74b 5%, #9BCA1C 100% );
 	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#bee74b', endColorstr='#9BCA1C');
 	background-color:#bee74b;
@@ -641,6 +641,6 @@
 	}
 	.button.add:hover, .button.add:active, .button.add:focus {
-		background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #9BCA1C), color-stop(1, #bee74b) );
-		background:-moz-linear-gradient( center top, #9BCA1C 5%, #bee74b 100% );
+		background-image:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #9BCA1C), color-stop(1, #bee74b) );
+		background-image:-moz-linear-gradient( center top, #9BCA1C 5%, #bee74b 100% );
 		filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#9BCA1C', endColorstr='#bee74b');
 		background-color:#9BCA1C;
Index: admin/style/jsToolBar/jsToolBar.css
===================================================================
--- admin/style/jsToolBar/jsToolBar.css	(revision 1760)
+++ admin/style/jsToolBar/jsToolBar.css	(revision 1810)
@@ -36,5 +36,4 @@
 	border-radius: 4px 4px 0 0; 
 }
-
 .jstElements select, .jstElements button {
 	vertical-align: middle;
@@ -55,5 +54,5 @@
 	background-repeat: no-repeat;
 }
-.jstElements button:hover {
+.jstElements button:hover, .jstElements button:focus {
 	border-color : #ddd;
 	background-color: #fff;
@@ -72,5 +71,4 @@
 	margin-right: 0;
 }
-
 .jstSwitcher {
 	display: block;
@@ -98,53 +96,53 @@
 /* Buttons
 -------------------------------------------------------- */
-.jstb_strong {
+button.jstb_strong {
 	background-image: url(bt_strong.png);
 }
-.jstb_em {
+button.jstb_em {
 	background-image: url(bt_em.png);
 }
-.jstb_ins {
+button.jstb_ins {
 	background-image: url(bt_ins.png);
 }
-.jstb_del {
+button.jstb_del {
 	background-image: url(bt_del.png);
 }
-.jstb_quote {
+button.jstb_quote {
 	background-image: url(bt_quote.png);
 }
-.jstb_code {
+button.jstb_code {
 	background-image: url(bt_code.png);
 }
-.jstb_paragraph {
+button.jstb_paragraph {
 	background-image: url(bt_paragraph.png);
 }
-.jstb_br {
+button.jstb_br {
 	background-image: url(bt_br.png);
 }
-.jstb_blockquote {
+button.jstb_blockquote {
 	background-image: url(bt_bquote.png);
 }
-.jstb_pre {
+button.jstb_pre {
 	background-image: url(bt_pre.png);
 }
-.jstb_ul {
+button.jstb_ul {
 	background-image: url(bt_ul.png);
 }
-.jstb_ol {
+button.jstb_ol {
 	background-image: url(bt_ol.png);
 }
-.jstb_link {
+button.jstb_link {
 	background-image: url(bt_link.png);
 }
-.jstb_img {
+button.jstb_img {
 	background-image: url(bt_img.png);
 }
-.jstb_img_select {
+button.jstb_img_select {
 	background-image: url(bt_img_select.png);
 }
-.jstb_post_link {
+button.jstb_post_link {
 	background-image: url(bt_post.png);
 }
-.jstb_removeFormat {
+button.jstb_removeFormat {
 	background-image: url(bt_clean.png);
 }