Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 1855)
+++ admin/style/default.css	(revision 1856)
@@ -1608,4 +1608,11 @@
 		width: 100%;
 		}
+/* ------------------------------------------------------------------ help.php */
+.legible { /* for pages with a lot of text to read */
+	font-size: 1.16em;
+	max-width: 62em;
+	margin-left: 6%;
+	}
+
 /* ------------------------------------------------------------------ media.php */
 .media-item {
@@ -1659,6 +1666,5 @@
 		}
 .folders-group .media-item {
-	min-height: 60px;
-	border-color: #eee #eee #eee #eee;
+	min-height: 64px;
 	}
 	.folders-group .media-item p {
@@ -1667,8 +1673,9 @@
 	.media-folder {
 		background: transparent url(bg_menu.png) repeat-y;
+		border-color: #eee;
 		}
 	.media-folder-up {
-		border: none;
-		padding-bottom: 0;
+		border-color: #fff;
+		padding-bottom: 6px;
 		}
 	.media-folder .media-link {
Index: locales/fr/help/index.html
===================================================================
--- locales/fr/help/index.html	(revision 1843)
+++ locales/fr/help/index.html	(revision 1856)
@@ -6,36 +6,41 @@
 <body>
 
-<div class="multi-part" id="first-step" title="Premiers pas">
-<h3>Découverte de l'interface</h3>
+<div class="multi-part legible" id="first-step" title="Premiers pas">
+	<h3>Découverte de l'interface</h3>
+	<h4 class="pretty-title">Aides contextuelles</h4>
+	<p>Outre les présentes pages d'aide générale, de nombreuses pages de l'administration disposent d'une aide contextuelle. Si javascript est disponible sur votre navigateur, elle se présente sur le côté de la page après avoir cliqué sur le lien <img src="images/menu/help.png" alt="" /> <strong>Aide pour cette page</strong> (en haut à droite) ; si javascript n'est pas activé elle s'affiche en bas de la page concernée.</p>
 
-<p>Le lien vers les réglages de vos préférences est disponible en haut de toutes les pages d'administration.</p>
+	<h4 class="pretty-title">Réglages personnels</h4>
+	<p>Le lien vers les réglages de <a href="preferences.php">vos préférences</a> est disponible en haut de toutes les pages d'administration.</p>
+	<p><strong>Mon tableau de bord.</strong> Le tableau de bord est l'accueil de votre interface d'administration. Les grandes icônes de la partie centrale permettent un accès rapide aux pages favorites de l'administration. Sous ces icônes, figurent des modules d'information. Lors de votre première installation, les deux modules proposés sont les dernières nouvelles de Dotclear et des liens vers la documentation et le support. Pour organiser vos favoris et vos modules, allez sur l'onglet «&nbsp;Mon tableau de bord&nbsp;».</p>
+	<p><strong>Mon profil.</strong> Les deux autres onglets de la page Mes préférences permettent de modifier ou compléter vos informations personnelles.</p>
+	<p class="info"><strong>Astuce.</strong> Si le thème que vous utilisez le prévoit (c'est le cas de la plupart d'entre eux), indiquez la même <em>URL du blog</em> dans votre page de profil et dans le formulaire de commentaire sur votre blog pour obtenir une mise en valeur de vos propres commentaires.</p>
+	<p><strong>Mes options</strong>. Activez ou désactivez des fonctionnalités selon vos goûts ou votre contexte de navigation.</p>
 
-<p>Le <strong>tableau de bord</strong> est l'accueil de votre interface d'administration. Les grandes icônes de la partie centrale 
-permettent un accès rapide aux pages favorites de l'administration. Sous ces icônes, figurent des modules d'information. Lors de votre première installation, les deux modules proposés sont les dernières nouvelles de Dotclear et des liens vers la documentation et le support.
-<a href="/admin/preferences.php#user-favorites">Allez sur la page « Mon tableau de bord » pour organiser vos favoris et vos modules.</a></p>
-<p>Les deux autres onglets de la page Mes préférences permettent de <a href="/admin/preferences.php#user-profile">modifier ou compléter vos informations personnelles</a> et de <a href="/admin/preferences.php#user-options">choisir vos options</a> en activant ou désactivant des fonctionnalités selon vos goûts ou votre contextede navigation.</p>
+	<h4 class="pretty-title">Réglages du blog</h4>
+	<p><strong>Paramètres du blog</strong> (section «&nbsp;Blog&nbsp;» du menu). C'est ici que vous pouvez notamment changer le nom du blog, ajuster le fuseau horaire du blog, décider de la présentation des dates…</p>
 
-<h4></h4>
+	<p><strong>Apparence du blog.</strong> Sélectionnez l'habillage (le <em>thème</em>) du blog. Certains thèmes offrent un configurateur de personnalisation. C'est le cas par exemple de Ductile ou Blowup. Dans ce cas, une fois le thème activé, cliquez sur le bouton "Configurer le thème" pour accéder à ses réglages. Outre les thèmes disponibles lors de l'installation, vous pouvez ajouter d'autres thèmes depuis l'onglet «&nbsp;Ajouter un thème&nbsp;» de cette page. </p>
+
+	<p><strong>Menu simple.</strong> Si le thème de votre blog a prévu son intégration, le menu principal du blog peut être renseigné sur cette page. Dans la plupart des thèmes il se présente sous forme d'une barre latérale sous l'entête du blog, comme sur Ductile par exemple.</p>
+
+	<p><strong>Widgets de présentation.</strong> Le menu du blog (souvent une barre latérale à droite ou à gauche du contenu principal) rassemble les widgets enregistrés sur cette page. Après avoir glissé le ou les widgets de votre choix dans leur zone d'accueil, vous pouvez les ouvrir en cliquant sur le triangle et compléter les champs et options.</p>
 
 </div>
 
-<div class="multi-part" id="aides-pages" title="Ades contextuelles">
-<h3>Les aides contextuelles</h3>
-</div>
+	<div class="multi-part" id="doc" title="Documentation">
+	<h3>La documentation en ligne</h3>
+	</div>
 
-<div class="multi-part" id="doc" title="Documentation">
-<h3>La documentation en ligne</h3>
-</div>
+	<div class="multi-part" id="a11y-ergo" title="Accessibilité et ergonomie">
+	<h3>Accessibilité et ergonomie</h3>
+	</div>
 
-<div class="multi-part" id="a11y-ergo" title="Accessibilité et ergonomie">
-<h3>Accessibilité et ergonomie</h3>
-</div>
-
-<div class="multi-part" id="guide-dev" title="Pour les développeurs">
-<h3>Développeurs : charte de l'administration</h3>
-<ul>
-	<li><a href="_charte.php">Charte des pages de l'administration</a></li>
-</ul>
-</div>
+	<div class="multi-part" id="guide-dev" title="Pour les développeurs">
+	<h3>Développeurs : charte de l'administration</h3>
+	<ul>
+		<li><a href="_charte.php">Charte des pages de l'administration</a></li>
+	</ul>
+	</div>
 
 </body>