Index: admin/post.php
===================================================================
--- admin/post.php	(revision 2682)
+++ admin/post.php	(revision 2694)
@@ -73,4 +73,12 @@
 $TB = new dcTrackback($core);
 $tb_urls = $tb_excerpt = '';
+
+if (count($formaters_combo)==0 || !$core->auth->getOption('editor') || $core->auth->getOption('editor')=='') {
+	dcPage::addNotice("message", 
+					  sprintf(__('Choose an active editor in %s.'), 
+								  '<a href="preferences.php#user-options">'.__('your preferences').'</a>'
+								  )
+					  );
+}
 
 # Get entry informations
@@ -449,8 +457,10 @@
 if ($can_edit_post)
 {
-	if (count($formaters_combo)>0) {
+	if (count($formaters_combo)>0 && ($core->auth->getOption('editor') && $core->auth->getOption('editor')!='')) {
 		$post_format_field = form::combo('post_format',$formaters_combo,$post_format,'maximal');
 	} else {
-		$post_format_field = '<a href="preferences.php#user-options">'.__('Choose an activated editor').'</a>';
+		$post_format_field = sprintf(__('Choose an active editor in %s.'), 
+		'<a href="preferences.php#user-options">'.__('your preferences').'</a>'
+		);
 	}
 
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 2682)
+++ admin/preferences.php	(revision 2694)
@@ -67,4 +67,5 @@
 # Formaters combo
 $formaters_combo = dcAdminCombos::getFormatersCombo();
+$formaters_combo_editor = array();
 
 if (!empty($user_options['editor']) && !empty($formaters_combo[$user_options['editor']])) {
@@ -436,5 +437,5 @@
 
 echo
-'<form action="preferences.php" method="post" id="opts-forms">'.
+'<form action="preferences.php#user-options" method="post" id="opts-forms">'.
 '<h3>'.__('My options').'</h3>';
 
@@ -468,20 +469,13 @@
 '</div>';
 
-// hide editor selector if less than 2 editors
-if (count($editors)<2) {
-    $editor_class = ' hidden';    
-} else {
-    $editor_class = '';
-}
-
 echo
 '<div class="fieldset">'.
 '<h4>'.__('Edition').'</h4>'.
 
-'<p class="field'.$editor_class.'"><label for="user_editor">'.__('Preferred editor:').'</label>'.
-form::combo('user_editor',$editors_combo,$user_options['editor']).'</p>'.
+'<p class="field"><label for="user_editor">'.__('Preferred editor:').'</label>'.
+form::combo('user_editor',array_merge(array(__('Choose an editor') => ''),$editors_combo),$user_options['editor']).'</p>'.
 
 '<p class="field"><label for="user_post_format">'.__('Preferred format:').'</label>'.
-form::combo('user_post_format',$formaters_combo_editor,$user_options['post_format']).'</p>'.
+form::combo('user_post_format',array_merge(array('' => ''), $formaters_combo_editor),$user_options['post_format']).'</p>'.
 
 '<p class="field"><label for="user_post_status">'.__('Default entry status:').'</label>'.
Index: locales/fr/main.po
===================================================================
--- locales/fr/main.po	(revision 2679)
+++ locales/fr/main.po	(revision 2694)
@@ -3664,4 +3664,10 @@
 msgstr "L'erreur suivante a été rencontrée lors de la tentative d'accès à la base de données :"
 
+msgid "Choose an active editor in %s."
+msgstr "Choisissez un éditeur dans %s."
+
+msgid "your preferences"
+msgstr "vos préférences"
+
 #~ msgid "You don't have permissions to deactivate this plugin."
 #~ msgstr "Vous n'avez pas les permissions pour désactiver ce plugin."
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 2666)
+++ plugins/pages/page.php	(revision 2694)
@@ -18,4 +18,5 @@
 $post_dt = '';
 $post_format = $core->auth->getOption('post_format');
+$editor = $core->auth->getOption('editor');
 $post_password = '';
 $post_url = '';
@@ -58,5 +59,5 @@
 
 # Formaters combo
-$formaters_combo = dcAdminCombos::getFormatersCombo();
+$formaters_combo = dcAdminCombos::getFormatersCombo($editor);
 
 # Languages combo
@@ -64,7 +65,15 @@
 $lang_combo = dcAdminCombos::getLangsCombo($rs,true);
 
-
 # Validation flag
 $bad_dt = false;
+
+if (count($formaters_combo)==0 || !$core->auth->getOption('editor') || $core->auth->getOption('editor')=='') {
+	dcPage::addNotice("message", 
+					  sprintf(__('Choose an active editor in %s.'), 
+								  '<a href="preferences.php#user-options">'.__('your preferences').'</a>'
+								  )
+					  );
+
+}
 
 # Get page informations