Index: locales/fr/help/index.html
===================================================================
--- locales/fr/help/index.html	(revision 1908)
+++ locales/fr/help/index.html	(revision 1913)
@@ -58,9 +58,31 @@
 	<div class="three-boxes first-child">
 		<h4 class="pretty-title">Alimentation du blog</h4>
-			<ul class="from-left"><li><a href="http://fr.dotclear.org/documentation/2.0/usage/entries">Billets</a><ul><li><a href="http://fr.dotclear.org/documentation/2.0/usage/entries#creation-et-edition">Création et édition</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/entries#informations-du-billet">Informations du billet</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/entries#actions-sur-le-billet">Actions sur le billet</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/entries#commentaires-et-retroliens-d-un-billet">Commentaires et rétroliens d&#039;un billet</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/entries#traitement-par-lots-des-billets">Traitement par lots des billets</a></li></ul></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/comments-trackbacks">Commentaires et rétroliens</a><ul><li><a href="http://fr.dotclear.org/documentation/2.0/usage/comments-trackbacks#suivi">Suivi</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/comments-trackbacks#gestion">Gestion</a></li></ul></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/categories">Catégories</a><ul><li><a href="http://fr.dotclear.org/documentation/2.0/usage/categories#creer-une-categorie">Créer une catégorie</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/categories#editer-une-categorie">Éditer une catégorie</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/categories#supprimer-une-categorie">Supprimer une catégorie</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/categories#ordonner-la-liste-des-categories">Ordonner la liste des catégories</a></li></ul></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/tags">Mots-clés (Tags)</a><ul><li><a href="http://fr.dotclear.org/documentation/2.0/usage/tags#ajouter-des-mots-cles">Ajouter des mots-clés</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/tags#gestion-des-mots-cles">Gestion des mots-clés</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/tags#supprimer-des-mots-cles">Supprimer des mots-clés</a></li></ul></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/media">Médias et pièces jointes</a><ul><li><a href="http://fr.dotclear.org/documentation/2.0/usage/media#creer-un-sous-repertoire">Créer un sous-répertoire</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/media#ajouter-des-fichiers">Ajouter des fichiers</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/media#telecharger-une-archive-zip-du-dossier-courant">Télécharger une archive zip du dossier courant</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/media#modifier-ou-completer-les-informations-d-un-fichier">Modifier ou compléter les informations d&#039;un fichier</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/media#ajout-direct-de-fichiers">Ajout direct de fichiers</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/media#types-de-fichier-particuliers">Types de fichier particuliers</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/media#pieces-jointes">Pièces jointes</a></li></ul></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/widgets">Contenu du menu du blog (widgets)</a><ul><li><a href="http://fr.dotclear.org/documentation/2.0/usage/widgets#bandeau-de-navigation-bandeau-d-extra">Bandeau de navigation, bandeau d&#039;extra</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/widgets#les-widgets-par-defaut">Les widgets par défaut</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/widgets#ajoutersupprimer-un-widget">Ajouter/Supprimer un widget</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/widgets#parametrage-des-widgets">Paramétrage des widgets</a></li></ul></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/blogroll">Blogroll</a><ul><li><a href="http://fr.dotclear.org/documentation/2.0/usage/blogroll#liste-des-liens">Liste des liens</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/blogroll#ajouter-un-lien">Ajouter un lien</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/blogroll#ajouter-une-categorie">Ajouter une catégorie</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/blogroll#xfn">XFN</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/blogroll#importer-depuis-un-fichier-opml-ou-xbel">Importer depuis un fichier OPML ou XBEL</a></li></ul></li></ul>
+			<ul class="from-left">
+				<li><a href="http://fr.dotclear.org/documentation/2.0/usage/entries">Billets</a>
+					<ul><li>Création et édition</li><li>Informations du billet</li><li>Actions sur le billet</li><li>Commentaires et rétroliens d&#039;un billet</li><li>Traitement par lots des billets</li></ul></li>
+				<li><a href="http://fr.dotclear.org/documentation/2.0/usage/comments-trackbacks">Commentaires et rétroliens</a>
+					<ul><li>Suivi</li><li>Gestion</li></ul></li>
+				<li><a href="http://fr.dotclear.org/documentation/2.0/usage/categories">Catégories</a>
+					<ul><li>Créer une catégorie</li><li>Éditer une catégorie</li><li>Supprimer une catégorie</li><li>Ordonner la liste des catégories</li></ul></li>
+				<li><a href="http://fr.dotclear.org/documentation/2.0/usage/tags">Mots-clés (Tags)</a>
+					<ul><li>Ajouter des mots-clés</li><li>Gestion des mots-clés</li><li>Supprimer des mots-clés</li></ul></li>
+				<li><a href="http://fr.dotclear.org/documentation/2.0/usage/media">Médias et pièces jointes</a>
+					<ul><li>Créer un sous-répertoire</li><li>Ajouter des fichiers</li><li>Télécharger une archive zip du dossier courant</li><li>Modifier ou compléter les informations d&#039;un fichier</li><li>Ajout direct de fichiers</li><li>Types de fichier particuliers</li><li>Pièces jointes</li></ul></li>
+				<li><a href="http://fr.dotclear.org/documentation/2.0/usage/widgets">Contenu du menu du blog (widgets)</a>
+					<ul><li>Bandeau de navigation, bandeau d&#039;extra</li><li>Les widgets par défaut</li><li>Ajouter/Supprimer un widget</li><li>Paramétrage des widgets</li></ul></li>
+				<li><a href="http://fr.dotclear.org/documentation/2.0/usage/blogroll">Blogroll</a>
+					<ul><li>Liste des liens</li><li>Ajouter un lien</li><li>Ajouter une catégorie de liens</li><li>XFN</li><li>Importer depuis un fichier OPML ou XBEL</li></ul></li>
+			</ul>
 	</div>
 	<div class="three-boxes">
 		<h4 class="pretty-title">Paramétrage et personnalisations</h4>
-			<ul class="from-left"><li><a href="http://fr.dotclear.org/documentation/2.0/usage/blog-parameters" title="2.0:usage:blog-parameters">Paramètres du blog</a><ul><li><a href="http://fr.dotclear.org/documentation/2.0/usage/blog-parameters#informations-du-blog">Informations du blog</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/blog-parameters#configuration-du-blog">Configuration du blog</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/blog-parameters#commentaires-et-retroliens">Commentaires et rétroliens</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/blog-parameters#presentation-du-blog">Présentation du blog</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/blog-parameters#medias-et-images">Médias et images</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/blog-parameters#parametres-d-indexation">Paramètres d&#039;indexation</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/blog-parameters#antispam">Antispam</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/blog-parameters#lightbox">LightBox</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/blog-parameters#enregistrer">Enregistrer</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/blog-parameters#configuration-avancee">Configuration avancée</a></li></ul></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/user-preferences">Mes préférences</a><ul><li><a href="http://fr.dotclear.org/documentation/2.0/usage/user-preferences#mon-profil">Mon profil</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/user-preferences#mes-options">Mes options</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/user-preferences#mes-favoris">Mes favoris</a></li></ul></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/themes">Apparence du blog</a><ul><li><a href="http://fr.dotclear.org/documentation/2.0/admin/themes#choisir-un-theme">Choisir un thème</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/themes#installer-un-theme">Installer un thème</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/themes#personnaliser-un-theme">Personnaliser un thème</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/themes#editeur-de-theme">Éditeur de thème</a></li></ul></li></ul>
+			<ul class="from-left">
+				<li><a href="http://fr.dotclear.org/documentation/2.0/usage/blog-parameters">Paramètres du blog</a>
+					<ul><li>Informations du blog</li><li>Configuration du blog</li><li>Commentaires et rétroliens</li><li>Présentation du blog</li><li>Médias et images</li><li>Paramètres d&#039;indexation</li><li>Antispam</li><li>LightBox</li><li>Enregistrer</li><li>Configuration avancée</li></ul></li>
+				<li><a href="http://fr.dotclear.org/documentation/2.0/usage/user-preferences">Mes préférences</a>
+					<ul><li></li><li>Mes options</li><li>Mes favoris</li></ul></li>
+				<li><a href="http://fr.dotclear.org/documentation/2.0/admin/themes">Apparence du blog</a>
+					<ul><li>Choisir un thème</li><li>Installer un thème</li><li>Personnaliser un thème</li><li>Éditeur de thème</li></ul></li>
+			</ul>
 	</div>
 	<div class="three-boxes last-child fieldset">
@@ -84,17 +106,50 @@
 		<div class="three-boxes">
 		<h4 class="pretty-title">Installation et mise à jour</h4>
-			<ul class="from-left"><li><a href="http://fr.dotclear.org/documentation/2.0/admin/install">Installation</a><ul><li><a href="http://fr.dotclear.org/documentation/2.0/admin/install#prerequis">Prérequis</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/install#installation-automatique">Installation automatique</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/install#installation-classique">Installation « classique »</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/install#assistant-d-installation">Assistant d’installation</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/install#mise-en-place-manuelle-du-fichier-config.php">Mise en place manuelle du fichier config.php</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/install#fin-de-l-installation">Fin de l’installation</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/install#etapes-suivantes">Etapes suivantes</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/install#multiblog">Multiblog</a></li></ul></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/upgrade">Mise à jour</a><ul><li><a href="http://fr.dotclear.org/documentation/2.0/admin/upgrade#preparatifs">Préparatifs</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/upgrade#mise-a-jour-automatique">Mise à jour automatique</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/upgrade#mise-a-jour-manuelle-du-programme">Mise à jour manuelle du programme</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/upgrade#mise-a-jour-de-la-base-de-donnees">Mise à jour de la base de données</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/upgrade#avec-sqlite">Avec SQLite</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/upgrade#annexe-mise-a-jour-d-une-copie-subversion">Annexe : mise à jour d&#039;une copie subversion</a></li></ul></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/config">Paramètres du fichier de configuration</a><ul><li><a href="http://fr.dotclear.org/documentation/2.0/admin/config#introduction">Introduction</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/config#parametres">Paramètres</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/config#ajouts-au-fichier">Ajouts au fichier</a></li></ul></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/1-to-2">Mise à jour de Dotclear 1.2 vers 2</a><ul><li><a href="http://fr.dotclear.org/documentation/2.0/admin/1-to-2#si-vous-changez-de-serveur">Si vous changez de serveur</a></li></ul></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/migrate">Migration d&#039;un système de blog à Dotclear</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/local-install">Installer en local</a><ul><li><a href="http://fr.dotclear.org/documentation/2.0/admin/local-install#windows">Windows</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/local-install#mac-os-x">Mac OS X</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/local-install#linux">Linux</a></li></ul></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/install/iis">Installation de Dotclear avec IIS7</a></li></ul>
+			<ul class="from-left">
+				<li><a href="http://fr.dotclear.org/documentation/2.0/admin/install">Installation</a>
+					<ul><li>Prérequis</li><li>Installation automatique</li><li>Installation « classique »</li><li>Assistant d’installation</li><li>Mise en place manuelle du fichier config.php</li><li>Fin de l’installation</li><li>Etapes suivantes</li><li>Multiblog</li></ul></li>
+				<li><a href="http://fr.dotclear.org/documentation/2.0/admin/upgrade">Mise à jour</a>
+					<ul><li>Préparatifs</li><li>Mise à jour automatique</a></li><li>Mise à jour manuelle du programme</li><li>Mise à jour de la base de données</li><li>Avec SQLite</li><li>Annexe : mise à jour d&#039;une copie subversion</li></ul></li>
+				<li><a href="http://fr.dotclear.org/documentation/2.0/admin/config">Paramètres du fichier de configuration</a>
+					<ul><li>Introduction</li><li>Paramètres</li><li>Ajouts au fichier</li></ul></li>
+				<li><a href="http://fr.dotclear.org/documentation/2.0/admin/1-to-2">Mise à jour de Dotclear 1.2 vers 2</a>
+					<ul><li>Cas général</li><li>Si vous changez de serveur</li></ul></li>
+				<li><a href="http://fr.dotclear.org/documentation/2.0/admin/migrate">Migration d&#039;un autre système de blog à Dotclear</a></li>
+				<li><a href="http://fr.dotclear.org/documentation/2.0/admin/local-install">Installer en local</a>
+					<ul><li>Windows</li><li>Mac OS X</li><li>Linux</li></ul></li>
+				<li><a href="http://fr.dotclear.org/documentation/2.0/admin/install/iis">Installation de Dotclear avec IIS7</a></li>
+			</ul>
 
 			<h5>Annexe hébergeurs</h5>
-			<ul class="from-left"><li><a href="http://fr.dotclear.org/documentation/2.0/hosting">Hébergeurs</a><ul><li><a href="http://fr.dotclear.org/documentation/2.0/hosting#documentations-specifiques">Documentations spécifiques</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/hosting#hebergeurs-supportant-dotclear">Hébergeurs supportant Dotclear</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/hosting#panels-d-installation">Panels d&#039;installation</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/hosting#tester-votre-hebergeur">Tester votre hébergeur</a></li></ul></li></ul>
+			<ul class="from-left">
+				<li><a href="http://fr.dotclear.org/documentation/2.0/hosting">Hébergeurs</a>
+					<ul><li>Documentations spécifiques</li><li>Hébergeurs supportant Dotclear</li><li>Panels d&#039;installation</li><li>Tester votre hébergeur</li></ul></li></ul>
 		</div>
 		<div class="three-boxes">
 			<h4 class="pretty-title">Administration</h4>
-			<ul class="from-left"><li><a href="http://fr.dotclear.org/documentation/2.0/admin/users">Gestion des utilisateurs</a><ul><li><a href="http://fr.dotclear.org/documentation/2.0/admin/users#liste-des-utilisateurs-existants">Liste des utilisateurs existants</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/users#creer-un-utilisateur">Créer un utilisateur</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/users#modifier-un-utilisateur">Modifier un utilisateur</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/users#permissions-de-l-utilisateur">Permissions de l&#039;utilisateur</a></li></ul></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/clean-install">Installation optimisée</a><ul><li><a href="http://fr.dotclear.org/documentation/2.0/admin/clean-install#installation-de-dotclear">Installation de Dotclear</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/clean-install#isoler-les-plugins">Isoler les plugins</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/clean-install#creer-les-bases-du-blog">Créer les bases du blog</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/clean-install#creer-le-blog">Créer le blog</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/clean-install#les-themes-et-les-medias">Les thèmes et les médias</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/clean-install#et-l-administration-dans-tout-ca">Et l’administration dans tout ça ?</a></li></ul></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/multiblog">Installation multiblogs</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/plugins">Gestion des extensions</a><ul><li><a href="http://fr.dotclear.org/documentation/2.0/admin/plugins#installer-une-extension">Installer une extension</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/plugins#configuration-des-extensions">Configuration des extensions</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/plugins#suppression-d-une-extension">Suppression d&#039;une extension</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/plugins#mettre-a-jour-une-extension">Mettre à jour une extension</a></li></ul></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/themes/blowup">Blowup, le thème par défaut</a><ul><li><a href="http://fr.dotclear.org/documentation/2.0/admin/themes/blowup#styles-predefinis">Styles prédéfinis</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/themes/blowup#je-style-mon-blowup">Je style mon Blowup</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/themes/blowup#contraintes">Contraintes</a></li></ul></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/themes">Autre apparence</a><ul><li><a href="http://fr.dotclear.org/documentation/2.0/admin/themes#choisir-un-theme">Choisir un thème</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/themes#installer-un-theme">Installer un thème</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/themes#personnaliser-un-theme">Personnaliser un thème</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/themes#editeur-de-theme">Éditeur de thème</a></li></ul></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/aboutconfig">Configuration avancée</a></li></ul>
+			<ul class="from-left">
+				<li><a href="http://fr.dotclear.org/documentation/2.0/admin/users">Gestion des utilisateurs</a>
+					<ul><li>Liste des utilisateurs existants</li><li>Créer un utilisateur</li><li>Modifier un utilisateur</li><li>Permissions de l&#039;utilisateur</li></ul></li>
+				<li><a href="http://fr.dotclear.org/documentation/2.0/admin/clean-install">Installation optimisée</a>
+					<ul><li>Installation de Dotclear</li><li>Isoler les plugins</li><li>Créer les bases du blog</li><li>Créer le blog</li><li>Les thèmes et les médias</li><li>Et l’administration dans tout ça ?</li></ul></li>
+				<li><a href="http://fr.dotclear.org/documentation/2.0/admin/multiblog">Installation multiblogs</a></li>
+				<li><a href="http://fr.dotclear.org/documentation/2.0/admin/plugins">Gestion des extensions</a>
+					<ul><li>Installer une extension</li><li>Configuration des extensions</li><li>Suppression d&#039;une extension</li><li>Mettre à jour une extension</li></ul></li>
+				<li><a href="http://fr.dotclear.org/documentation/2.0/admin/themes/blowup">Blowup, le thème par défaut</a>
+					<ul><li>Styles prédéfinis</li><li>Je style mon Blowup</li><li>Contraintes</li></ul></li>
+				<li><a href="http://fr.dotclear.org/documentation/2.0/admin/themes">Autre apparence</a>
+					<ul><li>Choisir un thème</li><li>Installer un thème</li><li>Personnaliser un thème</li><li>Éditeur de thème</li></ul></li>
+				<li><a href="http://fr.dotclear.org/documentation/2.0/admin/aboutconfig">Configuration avancée</a></li>
+			</ul>
 		</div>
 		<div class="three-boxes">
 			<h4 class="pretty-title">Gestion et maintenance</h4>
-			<ul class="from-left"><li><a href="http://fr.dotclear.org/documentation/2.0/admin/backup">Sauvegarde et restauration</a><ul><li><a href="http://fr.dotclear.org/documentation/2.0/admin/backup#importexport">Import/Export</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/backup#medias">Médias</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/backup#base-de-donnees">Base de données</a></li></ul></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/antispam">Filtre de commentaires indésirables</a><ul><li><a href="http://fr.dotclear.org/documentation/2.0/admin/antispam#organisation-des-filtres">Organisation des filtres</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/admin/antispam#configuration-des-filtres">Configuration des filtres</a></li></ul></li></ul>
-			<div class="fieldset">
+			<ul class="from-left">
+				<li><a href="http://fr.dotclear.org/documentation/2.0/admin/backup">Sauvegarde et restauration</a>
+					<ul><li>Import/Export</li><li>Médias</li><li>Base de données</li></ul></li>
+				<li><a href="http://fr.dotclear.org/documentation/2.0/admin/antispam">Filtre de commentaires indésirables</a>
+					<ul><li>Organisation des filtres</li><li>Configuration des filtres</li></ul></li>
+			</ul>
+			<div class="fieldset vertical-separator">
 				<h4 class="smart-title">Entraide</h4>
 				<ul><li><a href="http://forum.dotclear.net">Le forum de Dotclear</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/faq#utilisation">Questions fréquentes des administrateurs</a></li></ul>