Index: admin/js/common.js
===================================================================
--- admin/js/common.js	(revision 1923)
+++ admin/js/common.js	(revision 1946)
@@ -418,5 +418,5 @@
             hideSidebar();
         }
-    }).css('height', objSeparator.parent().parent().parent().outerHeight() + 'px');
+    });
 	if ( $.cookie('sidebar-pref') == 'hide-mm' ){
 		objMain.addClass('hide-mm');
@@ -424,4 +424,3 @@
 		objMain.removeClass('hide-mm');
 	}
-
 });
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 1934)
+++ admin/style/default.css	(revision 1946)
@@ -25,4 +25,5 @@
 	}
 #wrapper {
+	position: relative;
 	width: 100%;
 	padding-top: 1em;
@@ -59,13 +60,14 @@
 /* to hide main-menu */
 #collapser {
+	position: absolute;
+	top: 0;
+	left: 14.5em;
+	width: 1em;
+	height: 100%;
+	overflow: hidden;
 	display: block;
-	float: left;
-	width: 1em;
 	background: #f3f3f3 url(../images/collapser-hide.png) no-repeat center bottom;
-	margin-left: 14.5em;
-	border: none;
-	text-align: left;
-	overflow: hidden;
-	border-right: double #ddd;
+	border-right: double #dfdfdf;
+	z-index: 1;
 	}
 .expand-mm {
@@ -86,6 +88,5 @@
 	}
 .hide-mm #collapser {
-	margin-left: 0;
-	text-align: right;
+	left: 0;
 	background: #e3e3e3 url(../images/collapser-show.png) no-repeat center bottom;
 	}
@@ -96,9 +97,4 @@
 	display: block;
 	}
-/* if no js activated */
-.no-js #content {
-	margin-left: 14.5em;
-	}
-
 /* -------------------------------------------------------------- layout: two-cols */
 .two-cols {
@@ -1073,6 +1069,5 @@
 		display: block;
 		position: absolute;
-		top: 36px; /* ie < 9 sucks */
-		top: 3.6rem;
+		top: 0;
 		right: 0;
 		width: 280px; /* ie < 9 sucks */
@@ -1087,7 +1082,6 @@
 	background: transparent url(../images/page_help.png) no-repeat 6px center;
 	position: absolute;
-	top: 36px; /* ie < 9 sucks */
-	top: 3.6rem;
-	right: 0px;
+	top: 0;
+	right: 0;
 	padding: 0 1.5em 0 30px;
 	cursor: pointer;
@@ -1105,4 +1099,5 @@
 		background-color: #f5f5f5;
 		position: fixed;
+		top: 40px;
 		border-top: 2px solid #FFD478;
 		border-left: 2px solid #FFD478;
@@ -1352,15 +1347,9 @@
 			}
 		#icons a img {
-			padding: 2em;
-			-moz-box-shadow: 0px 1px 0px 0px #ffffff;
-			-webkit-box-shadow: 0px 1px 0px 0px #ffffff;
-			box-shadow: 0px 1px 0px 0px #ffffff;
-			background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #f9f9f9), color-stop(1, #e9e9e9) );
-			background:-moz-linear-gradient( center top, #f9f9f9 5%, #e9e9e9 100% );
-			filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#f9f9f9', endColorstr='#e9e9e9');
+			padding: 1.5em;
 			background-color:#f9f9f9;
-			-moz-border-radius:1em;
-			-webkit-border-radius:1em;
-			border-radius:1em;
+			-moz-border-radius:8px;
+			-webkit-border-radius:8px;
+			border-radius:8px;
 			border:1px solid #dcdcdc;
 			display:inline-block;
Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 1937)
+++ inc/admin/lib.dc.page.php	(revision 1946)
@@ -151,9 +151,9 @@
 		echo
 		'<div id="wrapper" class="clearfix">'."\n".
-		'<div id="main">'."\n".
-		'<div class="hidden-if-no-js"><a href="#" id="collapser">'.
+		'<div class="hidden-if-no-js collapser-box"><a href="#" id="collapser">'.
 		'<img class="collapse-mm" src="images/collapser-hide.png" alt="'.__('Hide main menu').'" />'.
 		'<img class="expand-mm" src="images/collapser-show.png" alt="'.__('Show main menu').'" />'.
 		'</a></div>'.
+		'<div id="main">'."\n".
 		'<div id="content" class="clearfix">'."\n";
 
@@ -216,5 +216,7 @@
 		echo
 		'</div>'."\n".		// End of #main-menu
-
+		"</div>\n";		// End of #wrapper
+
+		echo
 		'<div id="footer">'.
 		'<a href="http://dotclear.org/" title="'.$text.'"><img src="style/dc_logos/w-dotclear90.png" alt="'.$text.'" /></a></div>'."\n".
@@ -226,6 +228,5 @@
 '      \__________"|'."\n".
 '    ~^~^~^~^~^~^~^~^~^~'."\n".
-' -->'."\n".
-		"</div>\n";		// End of #wrapper
+' -->'."\n";
 
 		if (defined('DC_DEV') && DC_DEV === true) {