Index: locales/en/plugins.po
===================================================================
--- locales/en/plugins.po	(revision 1955)
+++ locales/en/plugins.po	(revision 1984)
@@ -980,117 +980,155 @@
 msgstr ""
 
+msgid "One task to execute"
+msgstr ""
+
+#, php-format
+msgid "%s tasks to execute"
+msgstr ""
+
+msgid "There is a task to execute."
+msgstr ""
+
+#, php-format
+msgid_plural "There are %s tasks to execute."
+msgstr ""
+
+msgid "This task has never been executed."
+msgstr ""
+
+msgid "Last execution of this task was on %s."
+msgstr ""
+
+msgid "Manage tasks"
+msgstr ""
+
+msgid "Display count of expired tasks on maintenance dashboard icon"
+msgstr ""
+
+msgid "Display list of expired tasks on dashboard items"
+msgstr ""
+
+msgid "Failed to execute task."
+msgstr ""
+
+msgid "Task successfully executed."
+msgstr ""
+
+msgid "Empty templates cache directory"
+msgstr ""
+
+msgid "Templates cache directory emptied."
+msgstr ""
+
+msgid "Failed to empty templates cache directory."
+msgstr ""
+
+msgid "Count again comments and trackbacks"
+msgstr ""
+
+msgid "Comments and trackback counted."
+msgstr ""
+
+msgid "Failed to count comments and trackbacks."
+msgstr ""
+
+msgid "Search engine index"
+msgstr ""
+
+msgid "Index all comments"
+msgstr ""
+
+msgid "Next"
+msgstr ""
+
+#, php-format
+msgid "Indexing comment %d to %d."
+msgstr ""
+
+msgid "Comments index done."
+msgstr ""
+
+msgid "Failed to index comments."
+msgstr ""
+
+msgid "Index all posts"
+msgstr ""
+
+msgid "Indexing entry %d to %d."
+msgstr ""
+
+msgid "Entries index done."
+msgstr ""
+
+msgid "Failed to index entries."
+msgstr ""
+
+msgid "Delete all logs"
+msgstr ""
+
+msgid "Logs deleted."
+msgstr ""
+
+msgid "Failed to delete logs."
+msgstr ""
+
+msgid "optimize tables"
+msgstr ""
+
+msgid "Optimization successful."
+msgstr ""
+
+msgid "Failed to optimize tables."
+msgstr ""
+
+msgid "Download media folder of current blog"
+msgstr ""
+
+msgid "Download active theme of current blog"
+msgstr ""
+
+msgid "Every week"
+msgstr ""
+
+msgid "Every two weeks"
+msgstr ""
+
+msgid "Every month"
+msgstr ""
+
+msgid "Every two months"
+msgstr ""
+
+msgid "Use different periods for each task"
+msgstr ""
+
+msgid "Never"
+msgstr ""
+
+msgid "Settings successfully updated"
+msgstr ""
+
+msgid "You should execute it now."
+msgstr ""
+
 msgid "Execute task"
 msgstr ""
 
-msgid "Task successfully executed."
-msgstr ""
-
-msgid "Failed to execute task."
-msgstr ""
-
-msgid "one task to update"
-msgstr ""
-
-#, php-format
-msgid "%s tasks to update"
-msgstr ""
-
-msgid "Show maintenance tasks to update."
-msgstr ""
-
-#, php-format
-msgid "Last execution of this task was on %s. You should execute it again."
-msgstr ""
-
-msgid "Failed to empty templates cache directory."
-msgstr ""
-
-msgid "Failed to reset comments and ping counters."
-msgstr ""
-
-msgid "Failed to index comments."
-msgstr ""
-
-msgid "Failed to index entries."
-msgstr ""
-
-msgid "Failed to delete logs."
-msgstr ""
-
-msgid "Failed to vacuum tables."
-msgstr ""
-
-msgid "Optimization successful."
-msgstr ""
-
-msgid "Comments and trackback counted."
-msgstr ""
-
-msgid "Templates cache directory emptied."
-msgstr ""
-
-msgid "Logs deleted."
-msgstr ""
-
-#, php-format
-msgid "Indexing entry %d to %d."
-msgstr ""
-
-msgid "next"
-msgstr ""
-
-msgid "Entries index done."
-msgstr ""
-
-msgid "Back"
-msgstr ""
-
-#, php-format
-msgid "Indexing comment %d to %d."
-msgstr ""
-
-msgid "Comments index done."
-msgstr ""
-
-msgid "Optimize database room"
-msgstr ""
-
-msgid "Vacuum tables"
-msgstr ""
-
-msgid "Counters"
-msgstr ""
-
-msgid "Reset comments and ping counters"
-msgstr ""
-
-msgid "Search engine index"
-msgstr ""
-
-msgid "This may take a very long time"
-msgstr ""
-
-msgid "Index all posts"
-msgstr ""
-
-msgid "Index all comments"
-msgstr ""
-
-msgid "Vacuum logs"
-msgstr ""
-
-msgid "Delete all logs"
-msgstr ""
-
-msgid "Empty templates cache directory"
-msgstr ""
-
-msgid "Empty directory"
-msgstr ""
-
-msgid "Download media folder of current blog"
-msgstr ""
-
-msgid "Download active theme of current blog"
+msgid "This may take a very long time."
+msgstr ""
+
+msgid "Settings"
+msgstr ""
+
+msgid "Display alert messages on expired tasks"
+msgstr ""
+
+msgid "Recall time for all tasks:"
+msgstr ""
+
+msgid "Recall time per task:"
+msgstr ""
+
+msgid "You can place list of expired tasks on your %s."
 msgstr ""
 