Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 2046)
+++ admin/style/default.css	(revision 2050)
@@ -601,4 +601,7 @@
 		width: 14em;
 		}
+	p.field.wide label {
+		width: 21em;
+		}
 	p.field input, p.field select {
 		display: inline-block;
Index: locales/fr/plugins.po
===================================================================
--- locales/fr/plugins.po	(revision 2047)
+++ locales/fr/plugins.po	(revision 2050)
@@ -2223,2 +2223,5 @@
 #~ msgid "Blog settings"
 #~ msgstr "Paramètres du blog"
+
+msgid "Alert settings"
+msgstr "Réglage des alertes"
Index: plugins/maintenance/index.php
===================================================================
--- plugins/maintenance/index.php	(revision 2045)
+++ plugins/maintenance/index.php	(revision 2050)
@@ -291,6 +291,6 @@
 
 	echo 
-	'<div id="settings" class="multi-part" title="'.__('Settings').'">'.
-	'<h3>'.__('Settings').'</h3>'.
+	'<div id="settings" class="multi-part" title="'.__('Alert settings').'">'.
+	'<h3>'.__('Alert settings').'</h3>'.
 	'<form action="'.$p_url.'" method="post">'.
 
@@ -305,17 +305,17 @@
 	).'</p>'.
 
-	'<h4 class="pretty-title">'.__('Frequency').'</h4>'.
-
-	'<p>'.form::radio(array('settings_recall_type', 'settings_recall_all'), 'all').' '.
+	'<h4 class="pretty-title vertical-separator">'.__('Frequency').'</h4>'.
+
+	'<p class="vertical-separator">'.form::radio(array('settings_recall_type', 'settings_recall_all'), 'all').' '.
 	'<label class="classic" for="settings_recall_all">'.
-	__('Use one recall time for all tasks').'</label>'.
-
-	'<p><label for="settings_recall_time">'.__('Recall time for all tasks:').'</label>'.
+	'<strong>'.__('Use one recall time for all tasks').'</strong></label>'.
+
+	'<p class="field wide vertical-separator"><label for="settings_recall_time">'.__('Recall time for all tasks:').'</label>'.
 	form::combo('settings_recall_time', $combo_ts, 'seperate', 'recall-for-all').
 	'</p>'.
 
-	'<p>'.form::radio(array('settings_recall_type', 'settings_recall_separate'), 'separate', 1).' '.
+	'<p class="vertical-separator">'.form::radio(array('settings_recall_type', 'settings_recall_separate'), 'separate', 1).' '.
 	'<label class="classic" for="settings_recall_separate">'.
-	__('Use one recall time per task').'</label>';
+	'<strong>'.__('Use one recall time per task').'</strong></label>';
 
 	foreach($tasks as $t)
@@ -324,5 +324,5 @@
 		'<div class="two-boxes">'.
 
-		'<p><label for="settings_ts_'.$t->id().'">'.$t->task().'</label>'.
+		'<p class="field wide"><label for="settings_ts_'.$t->id().'">'.$t->task().'</label>'.
 		form::combo('settings_ts_'.$t->id(), $combo_ts, $t->ts(), 'recall-per-task').
 		'</p>'.
@@ -332,5 +332,5 @@
 
 	echo 
-	'<p><input type="submit" value="'.__('Save this settings').'" /> '.
+	'<p class="field wide"><input type="submit" value="'.__('Save this settings').'" /> '.
 	form::hidden(array('tab'), 'settings').
 	form::hidden(array('settings'), 1).
Index: plugins/maintenance/locales/fr/help/maintenance.html
===================================================================
--- plugins/maintenance/locales/fr/help/maintenance.html	(revision 2044)
+++ plugins/maintenance/locales/fr/help/maintenance.html	(revision 2050)
@@ -6,16 +6,16 @@
 <body>
 
-<h4>Paramètres</h4>
+<h4>Réglage des alertes</h4>
 
 <dl>
   <dt>Activation</dt>
-  <dd>Si l'option est activé, dans les onglets du plugin maintenance, 
-  lorsqu'une tâche est en retard ou n'a jamais été exécutée, un message s'affiche sous cette tâche.<br />
-  Des options pour permettre l'affichage d'informations relatives à la maintenance sur le tableau de bord 
-  sous disponible dans les préférences de l'utilisateur.</dd>
+  <dd><p>Cocher cette option pour afficher des messages d'alerte sous chaque tâche 
+  en retard ou n'ayant jamais été exécutée.</p>
+  <p>Note&nbsp;: dans «&nbsp;Mes préférences&nbsp;», des options complémentaires permettent d'afficher également ces messages
+  sur le tableau de bord.</p></dd>
   
   <dt>Périodicité</dt>
-  <dd>Il est possible de règler le délai de rappel des tâche à exécuter à l'identique pour toutes les tâches. <br/>
-  Sinon ce réglage peut se faire tâche par tâche et ainsi permettre par exemple de n'en désactiver que certaines.</dd>
+  <dd><p>Permet de choisir le délai de rappel des tâches à exécuter.</p>
+  <p>Ce délai peut être commun à toutes les tâches (choisir le bouton radio «&nbsp;Utiliser le même délai pour toutes les tâches&nbsp;» ou différencié pour chacune d'elles.</p></dd>
 </dl>
 </body>