Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 2133)
+++ admin/style/default.css	(revision 2134)
@@ -385,11 +385,8 @@
 	border-style: solid;
 	border-color: #ddd;
-	background: #f3f3ff;
+	background: #eef1ec;
 	padding: .4em 1em .4em .5em;
 	vertical-align: top;
 	text-align: left;
-	text-transform: uppercase;
-	font-size: 10px;
-	font-size: 1rem;
 	}
 td {
@@ -415,6 +412,9 @@
 	clear: both;
 	}
-pre, code {
+pre, code, #debug {
 	font: 100% "Andale Mono","Courier New",monospace;
+	}
+code {
+	background: #FAFAD1;
 	}
 pre {
@@ -930,6 +930,6 @@
 	max-width: 20em;
 	}
-.with-js #top-info-blog select, .no-js #top-info-blog input[type=submit] {
-	margin-right: 1.33em;
+#top-info-blog a {
+	margin-left: 1.5em;
 	}
 #top-info-blog input[type=submit] {
@@ -1227,6 +1227,14 @@
 	margin: 0;
 	}
-tr.line input {
+tr.line input[type=text] {
+	background: #FFF;
+	}
+tr.line input, tr.line select {
 	vertical-align: middle;
+	-webkit-box-shadow: none;
+	        box-shadow: none;
+	}
+tr.line select {
+	width: 6em;
 	}
 tr.line:hover {
@@ -1255,11 +1263,6 @@
 	}
 table.settings, table.prefs {
-	width: 80%;
-	border: 1px solid #ccc;
 	margin-bottom: 3em;
 	}
-	table.settings th, table.prefs th {
-		background: #f3f3ff;
-		}
 	table.settings th:first-child, table.prefs th:first-child {
 		width: 20%;
@@ -1280,7 +1283,4 @@
 tr.expand td {
 	border-bottom: none;
-	}
-.dragable {
-	border-collapse: separate;
 	}
 .handle {
@@ -1394,5 +1394,5 @@
 	}
 	#icons p {
-		width: 207px;
+		width: 170px;
 		text-align: center;
 		margin: 1em 0 2em;
@@ -1466,6 +1466,4 @@
 		}
 	#dashboard-boxes .box {
-		min-width: 300px;
-		max-width: 580px;
 		padding: 10px;
 		border:	1px solid #ccc;
@@ -1476,8 +1474,11 @@
 		}
 		.box.small {
-			width: 280px;
+			width: 300px;
+			}
+		.box.medium {
+			width: 640px;
 			}
 		.box.large {
-			width: 580px;
+			width: 100%;
 			}
 		.dc-box {
@@ -1745,4 +1746,5 @@
 	vertical-align: top;
 	min-height: 140px;
+	word-wrap: break-word;
 	}
 	.media-item p {
@@ -2092,5 +2094,18 @@
 	margin-left: 0;
 	}
-
+/* --------------------------------------------------------------------- _charte.php */
+.guideline #content h2 {
+	color: #D33800;
+	padding: 2em 0 0 0;
+	margin: 1em 0;
+	font-size: 2em;
+	}
+.guideline h3 {
+	margin-top: 2em;
+	}
+.guideline .one-box .box {
+	border: 1px solid #ddd; 
+	padding: 2px .5em;
+	}
 /* ------------------------------------------------------------------------------------
 																				CLASSES
@@ -2172,4 +2187,7 @@
 	color: #000;
 	padding: 4px 1em;
+	}
+.anchor-nav label {
+	vertical-align: bottom;
 	}
 /* nav links */
@@ -2354,5 +2372,5 @@
 	width: 100%;
 	height: 4px;
-	background: #d99;
+	background: #ff6;
 	}
 #debug div {
@@ -2365,4 +2383,6 @@
 #debug:hover {
 	height: auto;
+	padding: 2px 1em;
+	z-index: 100;
 	}
 #debug:hover div {
@@ -2373,4 +2393,12 @@
 ------------------------------------------------------------------------------------ */
 @media screen and (max-width: 1000px) {
+	#top-info-blog #switchblog {
+		max-width: 16em;
+		}
+	#top-info-blog a {
+		margin-left: 2em;
+		}
+	}
+@media screen and (max-width: 960px) {
 	#header {
 		display: block;
@@ -2424,44 +2452,6 @@
 		top: 77px;
 		}
-	}
-@media screen and (max-width: 600px) {
-	#header h1, #header h1 a {
-		width: 42px !important; 
-		height: 42px;
-		}
-	h1 a:link {
-		background: transparent url(dc_logos/b-dotclear120.png) no-repeat -180px 6px;
-		border-right: 1px solid #ccc;
-		}
-	h1 a:hover, h1 a:focus {
-		background: url(dc_logos/b-dotclear120.png) no-repeat -180px -94px;
-		border-right: 1px solid #A2CBE9;
-		}
-	#wrapper, #main, #main-menu {
-		display: block;
-		float: none;
-		width: 100%;
-		margin: 0;
-		}
-	#main-menu a {
-		display: block;
-		width: 100%;
-		}
-	#main-menu h3 a {
-		display: inline;
-		}
-	#content {
-		margin: 0;
-		padding: 0 .5em;
-		}
-	#collapser {
-		display: none;
-		}
-	#main #content > h2 {
-		margin: 0;
-		padding: 6px 0;
-		}
 	.one-box, .two-boxes,
-	.one-box .box, .two-boxes .box,
+	.one-box .box, .two-boxes .box, .two-boxes.odd, .two-boxes.even,
 	.two-boxes:first-child, .two-boxes.odd, .two-boxes.odd:last-child,
 	.two-boxes.even:last-child, .two-boxes.even,
@@ -2472,4 +2462,48 @@
 		}
 	}
+@media screen and (max-width: 600px) {
+	#header h1, #header h1 a {
+		width: 42px !important; 
+		height: 42px;
+		}
+	h1 a:link {
+		background: transparent url(dc_logos/b-dotclear120.png) no-repeat -180px 6px;
+		border-right: 1px solid #ccc;
+		}
+	h1 a:hover, h1 a:focus {
+		background: url(dc_logos/b-dotclear120.png) no-repeat -180px -94px;
+		border-right: 1px solid #A2CBE9;
+		}
+	#wrapper, #main, #main-menu {
+		display: block;
+		float: none;
+		width: 100%;
+		margin: 0;
+		}
+	#main-menu a {
+		display: block;
+		width: 100%;
+		}
+	#main-menu h3 a {
+		display: inline;
+		}
+	#content {
+		margin: 0;
+		padding: 0 .5em !important;
+		}
+	#collapser {
+		display: none;
+		}
+	#main #content > h2 {
+		margin: 0;
+		padding: 6px 0;
+		}
+	#dashboard-boxes .box.medium,
+	#dashboard-boxes .box.small,
+	#dashboard-boxes .box.large {
+		width: 90%;
+		margin: 10px auto;
+		}
+	}
 @media screen and (max-width: 500px) {
 	h1, h1 a {
@@ -2487,8 +2521,6 @@
 		display: block;
 		}
-	#dashboard-boxes .box { /* a revoir quand le dashboard sera fini */
-		margin: 10px 0;
-		min-width: 280px;
-		width: 280px;
+	#icons p {
+		width: 150px;
 		}
 	#content.with-help #help-button {
@@ -2496,2 +2528,42 @@
 		}
 	}
+/* ---------------------------------------------- Couleurs ajoutées via javascript	
+/* color-picker.js */
+.color-color-picker {
+	border: 1px solid #000;
+	width: 195px;
+	background: #fff;
+	}
+/* _blog_theme.js */
+.select-button {
+	font-weight: bold;
+	}
+/* _media_item.js */
+.color-div {
+	border: 1px solid #ccc;
+	}
+/* fadings ('color' est utilisé comme variable, pas comme text color) */
+.colorBeginPassword, .colorBeginValidatorErr, .colorBeginUserMail {
+	color: #fff;
+	}
+.colorEndPassword, .colorEndError, .colorEndValidatorErr, .colorEndUserMail {
+	color: #ffbaba;
+	}
+.colorBeginMessage {
+	color: #ccc;
+	}
+.colorEndMessage, .colorBeginValidatorMsg {
+	color: #676e78;
+	}
+.colorBeginError {
+	color: #ffdec8;
+	}
+.colorBeginSuccess {
+	color: #9BCA1C;
+	}
+.colorEndSuccess {
+	color: #bee74b;
+	}
+ .colorEndValidatorMsg {
+	color: #ffcc00;
+	}	